import os

from src.platform.common.internal_dataclasses import AndFilterExpr, FilterType
from src.platform.offboarder.data_offboarder import DataOffboarder


def main():
    data_offboarder = DataOffboarder(
        folder_path="generated_data",
        max_workers=(os.cpu_count() - 1),
        filter_exprs=[
            AndFilterExpr(filter_type=FilterType.EQUAL, column="mod_ten", value="5"),
        ],
    )
    data_offboarder()


if __name__ == "__main__":
    main()
