import logging
import sys

_LOGGER_PREFIX = "CHUNGSO"
_SUMMARY_LOGGER_NAME = "SUMMARY"

LOG = logging.getLogger(__name__)
LOG.setLevel(logging.INFO)
LOG.addHandler(logging.StreamHandler(sys.stdout))

SUMMARY_LOGGER = logging.getLogger(_SUMMARY_LOGGER_NAME)
SUMMARY_LOGGER.setLevel(logging.DEBUG)
summary_logger_fh = logging.FileHandler(
    f"{_LOGGER_PREFIX}_{_SUMMARY_LOGGER_NAME}.log".lower()
)
summary_logger_fh.setLevel(logging.INFO)
SUMMARY_LOGGER.addHandler(summary_logger_fh)
